LLVM: lldb::SBEvent Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBEvent Class Reference

`#include <SBEvent.h>`

## Public Member Functions
| SBEvent ()
| SBEvent (const lldb::SBEvent &rhs)
| SBEvent (uint32_t event, const char *cstr, uint32_t cstr_len)
| ~SBEvent ()
const SBEvent & | operator= (const lldb::SBEvent &rhs)
bool | IsValid () const
const char * | GetDataFlavor ()
uint32_t | GetType () const
lldb::SBBroadcaster | GetBroadcaster () const
const char * | GetBroadcasterClass () const
bool | BroadcasterMatchesPtr (const lldb::SBBroadcaster *broadcaster)
bool | BroadcasterMatchesRef (const lldb::SBBroadcaster &broadcaster)
void | Clear ()
bool | GetDescription (lldb::SBStream &description)
bool | GetDescription (lldb::SBStream &description) const

## Static Public Member Functions
static const char * | GetCStringFromEvent (const lldb::SBEvent &event)

## Protected Member Functions
| SBEvent (lldb::EventSP &event_sp)
lldb::EventSP & | GetSP () const
void | reset (lldb::EventSP &event_sp)
void | reset (lldb_private::Event *event)
lldb_private::Event * | get () const

## Friends
class | SBListener
class | SBBroadcaster
class | SBBreakpoint
class | SBDebugger
class | SBProcess
class | SBThread
class | SBWatchpoint

## Detailed Description

Definition at line 23 of file SBEvent.h.

## Constructor & Destructor Documentation

lldb::SBEvent::SBEvent | ( |  | ) |

lldb::SBEvent::SBEvent | ( | const lldb::SBEvent & | rhs | ) |

lldb::SBEvent::SBEvent | ( | uint32_t | event,
|  | const char * | cstr,
|  | uint32_t | cstr_len
| ) |  |

lldb::SBEvent::~SBEvent | ( |  | ) |

lldb::SBEvent::SBEvent | ( | lldb::EventSP & | event_sp | ) |
| protected

## Member Function Documentation

bool lldb::SBEvent::BroadcasterMatchesPtr | ( | const lldb::SBBroadcaster * | broadcaster | ) |

bool lldb::SBEvent::BroadcasterMatchesRef | ( | const lldb::SBBroadcaster & | broadcaster | ) |

void lldb::SBEvent::Clear | ( |  | ) |

lldb_private::Event* lldb::SBEvent::get | ( |  | ) | const
| protected

lldb::SBBroadcaster lldb::SBEvent::GetBroadcaster | ( |  | ) | const

const char* lldb::SBEvent::GetBroadcasterClass | ( |  | ) | const

static const char* lldb::SBEvent::GetCStringFromEvent | ( | const lldb::SBEvent & | event | ) |
| static

const char* lldb::SBEvent::GetDataFlavor | ( |  | ) |

bool lldb::SBEvent::GetDescription | ( | lldb::SBStream & | description | ) |

bool lldb::SBEvent::GetDescription | ( | lldb::SBStream & | description | ) | const

lldb::EventSP& lldb::SBEvent::GetSP | ( |  | ) | const
| protected

uint32_t lldb::SBEvent::GetType | ( |  | ) | const

bool lldb::SBEvent::IsValid | ( |  | ) | const

const SBEvent& lldb::SBEvent::operator= | ( | const lldb::SBEvent & | rhs | ) |

void lldb::SBEvent::reset | ( | lldb::EventSP & | event_sp | ) |
| protected

void lldb::SBEvent::reset | ( | lldb_private::Event * | event | ) |
| protected

## Friends And Related Function Documentation

friend class SBBreakpoint
| friend

Definition at line 74 of file SBEvent.h.

friend class SBBroadcaster
| friend

Definition at line 73 of file SBEvent.h.

friend class SBDebugger
| friend

Definition at line 75 of file SBEvent.h.

friend class SBListener
| friend

Definition at line 72 of file SBEvent.h.

friend class SBProcess
| friend

Definition at line 76 of file SBEvent.h.

friend class SBThread
| friend

Definition at line 77 of file SBEvent.h.

friend class SBWatchpoint
| friend

Definition at line 78 of file SBEvent.h.

The documentation for this class was generated from the following file:

- SBEvent.h